
QT       += core gui
QT       += widgets multimedia multimediawidgets
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

!android {
  exists( /usr/include/opencv2/opencv.hpp ) {
    message(" -> Utilisation de OpenCV 2 (precise)")
    LIBS += -lopencv_core -lopencv_imgproc -lopencv_highgui -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d -lopencv_objdetect
    DEFINES += WITH_OPENCV2
  }
}


TARGET = abuledu-abuleducamera

TEMPLATE = app

SOURCES += main.cpp \
           utilitairemainwindow.cpp

HEADERS  += version.h \
            utilitairemainwindow.h

FORMS += utilitairemainwindow.ui


win32{
  OTHER_FILES += ../windows/windows.rc
  RC_FILE = ../windows/windows.rc
}

macx {
 ICON = ../macos/icones/macos.icns
}

include(lib/abuleduapplicationv1/abuleduapplicationv1.pri)
include(lib/abuleduconstantesv1/abuleduconstantesv1.pri)
include(lib/abuledunetworkaccessmanagerv1/abuledunetworkaccessmanagerv1.pri)
include(lib/abuledumessageboxv1/abuledumessageboxv1.pri)
include(lib/abuleduidentitesv1/abuleduidentitesv1.pri)
include(lib/abuledupluginloaderv1/abuledupluginloaderv1.pri)
include(lib/abuleduloggerv1/abuleduloggerv1.pri)
include(lib/abuleduflatboutonv1/abuleduflatboutonv1.pri)
include(lib/maia/maia.pri)
include(lib/abuledufilev1/abuledufilev1.pri)
include(lib/abuledusingletonv1/abuledusingletonv1.pri)
include(lib/abuleduloadinganimationv1/abuleduloadinganimationv1.pri)
include(lib/abuledumenufeuillev1/abuledumenufeuillev1.pri)
include(lib/abuleducamerav1/abuleducamerav1.pri)
include(lib/abuleducamerawidgetv1/abuleducamerawidgetv1.pri)
